clrs = colororder();

fig = figure(); ax = axes();
hold("on");

% Arc of 𝒮_𝜏, use w as omega, h as tau
Stau = @(w, h) exp(-1i * w * h) - 1;
wmax =1/3*pi;
p = Stau(wmax,1);

% Pi1
circle([-1, 0], 1, 2^6, Color=clrs(1,:));
% Pi2
circle([0, 0], abs(p), 2^6, Color=clrs(2,:));
% Pi3
circle([real(p/2), imag(p/2)], abs(p)/2, 2^6, Color=clrs(3,:));
% Conic combination of Pi1 and Pi3
circle([real((p/2 - 1) / 2), imag((p/2 - 1) / 2)], ...
       abs((p/2 - 1) / 2), 2^6, Color=clrs(4,:));

w = linspace(0, wmax, 2^6);
plot(real(Stau(w, 1)), imag(Stau(w,1)), Color='k', LineWidth=2);

% Pi1 Center
scatter(-1, 0, [], clrs(1,:), '+', LineWidth=1.5);
% Pi2 Center
scatter(0, 0, [], clrs(2,:), '+', LineWidth=1.5);
% Pi3 Center
scatter(real(p/2), imag(p/2), [], clrs(3,:), '+', LineWidth=1.5);
% Center of conic combination of Pi1 and Pi3
scatter(real((p/2 - 1) / 2), imag((p/2 - 1) / 2), [], clrs(4,:), '+', LineWidth=1.5);

axis("equal");